import { zeroAgActionRenderer, zeroAgActionsMenuRenderer, zeroAgBooleanRenderer, zeroAgSelectRenderer, zeroAgTextRenderer, } from './cell-renderers';
import { zeroGridPro } from './grid-pro';
export const zeroGridComponents = {
    zeroAgActionRenderer,
    zeroAgActionsMenuRenderer,
    zeroAgBooleanRenderer,
    zeroAgTextRenderer,
    zeroAgSelectRenderer,
    zeroGridPro,
    register(container, ...rest) {
        if (!container) {
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    },
};
